Epic # 47018 (Resolved): Implement Composer support and clean package manager API
Subject: [Extension Manager] - PackageStates.php empty if incompatible extension is installed
Description

I've got several projects already running on TYPO3 6.2beta (still under development). Since beta1 I'm experiencing an annoying
problem. As soon as you install a "problematic" extension the new extension manager throws some kind of exception/ PHP error
(always something different - I'll try to gather more information when the problem occurs again). When this happens the
PackageStates.php is cleaned and looks like the following snippet:

<?php
# PackageStates.php

# This file is maintained by Flow's package management. Although you can edit it
# manually, you should rather use the command line commands for maintaining packages.
# You'll find detailed information about the typo3.flow:package:* commands in their
# respective help screens.

# This file will be regenerated automatically if it doesn't exist. Deleting this file
# should, however, never become necessary if you use the package commands.

return array (
  'packages' => 
  array (
  'version' => 4,
)
 ?>

Yesterday this happened to me again. I've got a fresh CMS 6.2beta4 and tried to install the current extension_builder extension.

Related issues:
related to Core - Task # 55404: Extract package dependency sorting to own class Resolved 2014-01-28

History
#1 - 2014-01-31 16:41 - Andrea Herzog-Kienast
- Target version set to 6.2.0

Same problem occurs while uninstalling static_info_tables (newest version from forge). Seems not only to be a problem of installing, Björn. So as a
workaraoud - save the PackageStates.php before doing something in the EM. If it crashes, you can load it up again. This works, if you uninstalled
extensions.
#2 - 2014-01-31 17:06 - Thomas Maroschik
- Assigned To set to Thomas Maroschik

#3 - 2014-02-03 10:21 - Bjoern Jacob

I think the problem is not related to a specific extension. It happened the other day with one of my own extensions freshly build with the
extension_builder on a 6.1 installation. But you're right Andrea. Now we put this file in our project repository among all the theming stuff and
realurl_conf.php etc.

#4 - 2014-02-11 15:10 - Thomas Maroschik
- Status changed from New to Closed
- % Done changed from 0 to 100

This one should be solved by https://review.typo3.org/27101

If it isn't please say so and I'll reopen this issue.

#5 - 2014-02-12 10:01 - Ernesto Baschny
- Parent task set to #47018
